$(document).ready(function(){
	var ctx = $("#ctx").val();//获取服务器地址
	
	//状态全部、开启、停用
 	if($("#status").val() == ""){
 		$("#selectBar_statusOther a:first").addClass("selectBar_change");
	}
 	$("#selectBar_statusOther a").each(function(){
 		var value = $(this).attr("value");
 		if($("#status").val() == value){
 			$(this).addClass("selectBar_change").siblings('.selectBar_change').removeClass('selectBar_change');
 		}
 	});
 	$("#selectBar_statusOther a").click(function(){
 		$("#status").val($(this).attr("value"));
 		refreshData();
 	});
	
 		
	//批量通过，或不通过
	$("#all-btn-pass-list,#all-btn-unpass-list").click(function(){
		var url = "";var type = "";
		if($(this).attr("id") == "all-btn-pass-list"){
			url = ctx+"/back/main/dsp/aptitude-audit/enable";
			type = "pass";
		}else if($(this).attr("id") == "all-btn-unpass-list"){
			url = ctx+"/back/main/dsp/aptitude-audit/disable";
			type = "unpass";
		}
		dspPassOrUnpassOper($(this),url,type);
	});
	
	$("#btn-auditpass,#btn-auditunpass").click(function(){
		var url = ctx+"/back/main/dsp/aptitude-audit/check";
		var type = "";
		if($(this).attr("id") == "btn-auditpass"){
			type = "pass";
		}else if($(this).attr("id") == "btn-auditunpass"){
			type = "unpass";
		}
		dspAuditOper($(this),url,type);
	});
	
});

//通过，或不通过
$("#btn-pass,#btn-unpass").click(function(){
	var url = "";var type = "";
	if($(this).attr("id") == "btn-pass"){
		url = ctx+"/back/main/dsp/aptitude-audit/enable";
		type = "pass";
	}else if($(this).attr("id") == "btn-unpass"){
		url = ctx+"/back/main/dsp/aptitude-audit/disable";
		type = "unpass";
	}
	singlePassOrUnpassOper($(this),url,type);
});

function singleDspPassOrUnpassOper(obj,url,type){
	var ids = [];
	var advs = [];
	var id = parseInt(obj.attr("dspId"));
	var adv = parseInt(obj.attr("advertiserId"))
	ids.push(id);
	advs.push(adv);
	dspPassOrUnPasshandler(obj,ids,advs,url,type)
}

function dspAuditOper(obj,url,type){
	if(type == 'pass'){
		var _param = {
    		'dspId':$("#auditId").attr("dspId"),
    		'advertiserId':$("#auditId").attr("advertiserId"),
    		'checkStatus':0,
    	};
		$.post(url,_param,function(data){
			if(data == "ok"){
				window.location.href = $("#ctx").val()+"/back/main/dsp/aptitude-audit/list";
			} else {
				bootbox.alert("审核失败!");
			}
		})
	} else if(type == 'unpass'){
		 bootbox.prompt("请输入审核不通过的理由", function(result) {
            if (result == '') {
            	bootbox.alert("请输入审核不通过的理由");
            } else {
            	var _param = {
            		'dspId':$("#auditId").attr("dspId").val(),
            		'advertiserId':$("#auditId").attr("advertiserId").val(),
            		'checkMemo':result,
            		'checkStatus':2,
            	};
            	$.post(url,_param,function(data){
            		if(data == "ok"){
            			window.location.href = $("#ctx").val()+"/back/main/dsp/aptitude-audit/list";
					} else {
						bootbox.alert("审核失败!");
					}
				})
            }
        });
	}
}



function dspPassOrUnpassOper(obj,url,type){
	var checkboxs = $("table tbody .checkboxStyle_change");
	var ids = [];
	var advs = [];
	if(checkboxs.length > 0){
		bootbox.confirm("确定" +obj.text() + "吗?", function(ensure) {					
			if (ensure) {	
				checkboxs.each(function(){
					var id = parseInt($(this).attr("id"));
					var adv = parseInt($(this).attr("advertiserId"))
					ids.push(id);
					advs.push(adv);
				});
				dspPassOrUnPasshandler(obj,ids,advs,url,type);
			}
		});
	}else{
		bootbox.alert("请选择需要"+obj.text()+"的数据！");
		return false;
	}
}

function dspPassOrUnPasshandler(obj,ids,advs,url,type){
	if(type == "pass"){
		$.ajax({
			async: false, 
			traditional: true, 
			type: "POST",
			url: url,
			data:{"id":ids,"advertiserId":advs},
			success: function(data){
				if(data == "ok"){
					obj.addClass("btn-auditChange");
					obj.removeAttr('disabled');
					refreshData();
				} else {
					obj.removeAttr('disabled');
					bootbox.alert("审核失败!");
				}
			}
		});
	}else if(type == "unpass"){
		 bootbox.prompt("请输入审核不通过的理由", function(result) {
			 if(result === null){
	            obj.removeAttr('disabled');
	         } else if (result == '') {
	        	 obj.removeAttr('disabled');
				 bootbox.alert("请输入审核不通过的理由");
	         } else {
	        	 $.ajax({
	     			async: false, 
	     			traditional: true, 
	     			type: "POST",
	     			url: url,
	     			data:{"id":ids,"advertiserId":advs,"memo":result},
	     			success: function(data){
	     				if(data == "ok"){
	            			obj.removeAttr('disabled');
	            			obj.addClass("btn-auditChange");
	            			refreshData();
						} else {
							obj.removeAttr('disabled');
							bootbox.alert("审核失败!");
						}
	     			}
	     		});
	         }
	     });
	}
	return false;
}

function exportExcel_aptitudeAudit(){
	var searchValue = $("#searchValue").val();
	if(searchValue == "请输入关键字"){
		searchValue = "";
	}
	var param = "?checked="+$("#status").val()+"&searchValue="+searchValue;
	$("#exportExcel").attr("href",$("#ctx").val()+"/back/main/dsp/aptitude-audit/exportDataReportExcel"+param);
	return false;
}