package com.cloudcross.ssp.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.model.Audit;
import com.cloudcross.ssp.model.DspAdvertiser;
import com.cloudcross.ssp.model.DspAgent;

public interface IAptitudeAuditService extends IGenericService<DspAdvertiser>{

	public boolean upDateNoPass(List<Long> auditIdList,List<Long> advIdList, int checkStatus,String memo);
	public boolean updatePass(List<Long> dspIdList,List<Long> advIdList,int status); 
	public boolean updateCheckStatus(Map<String, Object> paramMap);
	//导出Excel用
	public List<DspAdvertiser> findDeliverEffectAnalysis(Map<String, Object> paramMap);
	public DspAdvertiser findById(Long dspId, Long advertiserId);
	public List<Map<String, Object>> findByParams(HashMap<String, Object> paramMap,
			Pager pager);

}
