<@override name="head">	
<title>运营投放</title>
<link rel="stylesheet" href="${ctx}/assets/css/daterangepicker.css"/>
<link rel="stylesheet" href="${ctx}/assets/css/time_adGroup.css"/>
<link rel="stylesheet" href="${ctx}/assets/css/wifi.css"/>
<link rel="stylesheet" href="${ctx}/assets/css/style.css">
<link rel="stylesheet" href="${ctx}/assets/css/geo.css">
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker1.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.common.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.geo.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/areas_popup.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery-ui-1.10.4.custom.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.cxselect.js"></script>
<script type="text/javascript" src="http://webapi.amap.com/maps?v=1.3&key=2767a619003d806b2dba379e3e023dfd"></script> 
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/wifi.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/operatoradAllGroup.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/layer/layer.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/advertiser/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">活动管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/operator-ad-group/list?campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">投放管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">运营投放</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/advertiser/main/ad/target/ad-group-alloperator/save" method="post">
	 			<input type="hidden" id="adGroupId" name="id" value=""/>
	 			<input type="hidden" id="advertiserId" name="advertiserId" value="${advertiserId!}"/>
	 			<input type="hidden" id="orderId" name="orderId" value="${orderId!}"/>
	 			<input type="hidden" id="campaignId" name="campaignId" value="${campaignId!}"/>
	 			<input type="hidden" name="agentId" value="${agentId!}"/>
				<input type="hidden" id="zoneId" name="zoneId" value=""/>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>投放名称：</label>
					<input class="input-text" tabindex="1" id="adGroupName" name="adGroupName" type="text" value="" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>活动周期：</label>
					<span id="input-calendar">
						<i class="icon-calendar"></i>   
						<input type="text" tabindex="2" name="activeTime" id="dateRangePicker" value="" readonly/>
					</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>总预算：</label>
					<input name="budget" type="hidden" id="budget" value="${budget!}"/>
					<input class="input-text" tabindex="3" id="totalBudget" name="totalBudget" type="text" value="" verify="float/11/1/2"/>
					<span class="input-span">元</span><span class="help-inline">总预算不能大于活动总预算</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>投放模式：</label>
					<input class="input-radio" name="mode" type="radio" value="1" checked="checked"><span class="input-radio-span otherspan">CPM</span>
					<input class="input-radio" name="mode" type="radio" value="2"><span class="input-radio-span otherspan">CPC</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>单价(CPM)：</label>
					<input class="input-text" tabindex="4" id="price" name="price" type="text" value="" verify="float/11/1/2"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>曝光总上限：</label>
					<input class="input-text" tabindex="6" id="maxImpression" name="maxImpression" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">千次</span><span class="help-inline">整个投放期，广告最多被曝光多少千次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>点击总上限：</label>
					<input class="input-text" tabindex="7" id="maxClick" name="maxClick" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">整个投放期，广告最多被点击多少次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>转化总上限：</label>
					<input class="input-text" tabindex="8" id="maxConversion" name="maxConversion" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">整个投放期，广告最多被曝光多少千次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日曝光总上限：</label>
					<input class="input-text" tabindex="9" id="dailyMaxImpression" name="dailyMaxImpression" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">千次</span><span class="help-inline">每天，广告最多被曝光多少千次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日点击总上限：</label>
					<input class="input-text" tabindex="10" id="dailyMaxClick" name="dailyMaxClick" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">每天，广告最多被点击多少次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日转化总上限：</label>
					<input class="input-text" tabindex="11" id="dailyMaxConversion" name="dailyMaxConversion" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">每天，广告最多被转换多少次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>单人点击频次：</label>
					<ul id="main_perClickul">
						<li class="select_box" id="perClickul_box">
							<span id="perClickul_span">请选择点击类型</span>
							<ul class="son_ul" id="perClick_son_ul">
								<li value="0">请选择点击类型</li>
                    			<li value="1">每天</li>
                    			<li value="2">投放周期</li>
							</ul>
						</li>
					</ul>
					<input id="perClickType" name="perClickType" type="hidden" value="" />
					<input class="input-text-small" tabindex="12" id="perClick" name="perClick" type="text" value="" verify="number/11/0/0"/><span class="input-span">次</span><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>单人曝光频次：</label>
					<ul id="main_perImpressionul">
						<li class="select_box" id="perImpressionul_box">
							<span id="perImpressionul_span">请选择曝光类型</span>
							<ul class="son_ul" id="perImpression_son_ul">
								<li value="0">请选择曝光类型</li>
                    			<li value="1">每天</li>
                    			<li value="2">投放周期</li>
							</ul>
						</li>
					</ul>
					<input id="perImpressionType" name="perImpressionType" type="hidden" value="" />
					<input class="input-text-small" tabindex="13" id="perImpression" name="perImpression" type="text" value="" verify="number/11/0/0"/><span class="input-span">次</span><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>设置优先级</label>
					<ul id="main_priorityul">
						<li class="select_box" id="priorityul_box">
							<span id="priorityul_span">请选择优先级</span>
							<ul class="son_ul" id="priority_son_ul">
								<li>1</li>
                    			<li>2</li>
                    			<li>3</li>
                    			<li>4</li>
                    			<li>5</li>
                    			<li>6</li>
                    			<li>7</li>
                    			<li>8</li>
                    			<li>9</li>
							</ul>
						</li>
					</ul>
					<input id="priority" name="priority" type="hidden" value=""/>
				</div>
				<div class="input-group" id="areasDiv">
					<label class="input-label-other"><span class="lbl-no"></span>地域定向：</label>
					<input class="ignore" type="hidden" id="areas" name="areas" value=""/>
					<a id="btn-areas" class="btn2">地域设定</a>
		            <label id="geo-selected-areas"><span class="area-direct"></span><span>您已经设定了<strong id="count-areas">0</strong>个地域条件</span></label>
		            <label id="geo-all-areas"><span class="area-direct"></span><span class="default_text">不限</span></label>
				</div>
				<div id="timediv" class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>时段定向：</label>
					<div class="setting">
						<div class="time_tit">
					    	<p>开始时间</p>
					        <p>结束时间</p>
					    </div>
					    <input type="hidden" name="sdayParting" id="sdayParting" value=""/>
					    <div class="clear"></div>
					    <div class="time_box"></div>
					    <div class="time_add"><p id="setting_list" class="dateRangePicker" href="">新增时间段</p></div>
				    </div>
			  	</div>
				<div class="input-group" id="osDiv">
					<label class="input-label-other"><span class="lbl-yes">*</span>操作系统：</label>
					<input type="hidden" id="os" name="os" value=""/>
					<input class="input-checkbox" type="checkbox" value="1"><span class="input-checkbox-span otherspan">iOS</span>
					<input class="input-checkbox" type="checkbox" value="2"><span class="input-checkbox-span otherspan">Android</span>
					<input class="input-checkbox" type="checkbox" value="3"><span class="input-checkbox-span otherspan">WP</span>
					<input class="input-checkbox" type="checkbox" value="4"><span class="input-checkbox-span otherspan">Symbian</span>
					<input class="input-checkbox" type="checkbox" value="5"><span class="input-checkbox-span otherspan">MAC OS</span>
					<input class="input-checkbox" type="checkbox" value="6"><span class="input-checkbox-span otherspan">Windows</span>
					<input class="input-checkbox" type="checkbox" value="7"><span class="input-checkbox-span otherspan">其他</span>
				</div>
				<div class="input-group">
				     <label class="input-label-other"><span class="lbl-no"></span>选择媒体：</label>
				     <a id="btn-selectOperator" class="btn2">智选网络</a><span id="selectOperator_span"></span>
				     <input type="hidden" id="input_selectOperator" value=""/>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>广告位：</label>
					<input class="input-checkbox" name="position" checked="checked" type="checkbox" value="1"><span class="input-checkbox-span otherspan">认证页</span>
					<input class="input-checkbox" name="position" type="checkbox" value="2"><span class="input-checkbox-span otherspan">认证页后</span>
					<input class="input-checkbox" name="position" type="checkbox" value="3"><span class="input-checkbox-span otherspan">上网过程</span>
				</div>
				<div class="input-group" id="zonechooseDiv">
					<div id="zone-chooseing" class="zonechoose">
						<span class="span_title">全部app广告位</span>
						<ul id="zone-chooseingUl">
						<#if zoneList ??>
						<#list zoneList as zone>
							<li value="${zone.id!}" title="${zone.name!}"><label>${zone.name!}</label></li>
						</#list>
						</#if>
						</ul>
					</div>
					<div id="zone-selected" class="zonechoose">
						<span class="span_title">已选广告位</span>
						<ul id="zone-selectedUl"></ul>
					</div>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>选择策略：</label>
	                <a id="btn-selectOperatorPlace" class="btn2">媒体场景</a>
				    <a id="btn-selectPlace" class="btn2">小场景</a>
				    <a id="btn-selectPlaceClass" class="btn2">数聚场景</a>
				    <input type="hidden" id="selectId" value=""/>
				    <input type="hidden" name="placeId" id="selectPlaceId" value=""/>
				    <input type="hidden" name="placeName" id="selectPlaceName" value=""/>
                </div>
                <div class="input-group">
	                <label class="input-label-other"><span class="lbl-no"></span>选择终端：</label>
	                <a id="btn-selectWifi" class="btn2">添加</a>
				    <input type="hidden" name="wifiIds" id="selectWifi" value=""/>
                </div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>代表必填项</label>
				</div>
				<div id="footBtn">
					<button id="create-btn-save" class="btn-save" type="submit">保存</button>
					<button id="create-btn-cancel" class="btn-cancel" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
    <div id="areas_layout"></div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>