<@override name="head">
<title>资质审核</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/back/aptitudeAudit.js"></script>
</@override> 
<@override name="body">
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
	<div id= "pagecontent">
		<div id="content">
			<div id="selectBar_audit" class="selectBar">
				<a href="${ctx}/back/main/dsp/audit/list">素材审核</a>
				<a class="selectBar_change" href="${ctx}/back/main/dsp/aptitude-audit/list">资质审核</a>
		    </div>
		    <div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li><a href="${ctx}/back/main/audit/audit/list">资质审核</a></li>
				    <li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">审核</li>
				</ul>  
 			</div>
			<div id="navButtons">
				<div id="button">	
					<input type="hidden" id="auditId" dspId="${dspId!}" advertiserId="${advertiserId}"/>				
					<a class="btn2" id="btn-auditpass">审核通过</a>
					<a class="btn2" id="btn-auditunpass">审核不通过</a>
				</div>
			</div>
			<div class="auditDiv">
				<span>广告主名称：${dspAdvertiser.name!}</span>
				<span>广告主注册名：${dspAdvertiser.regName!}</span>
				<span>网址：<a href="${dspAdvertiser.homePage!}">${dspAdvertiser.homePage!}</a></span>
				<span>电话：${dspAdvertiser.tel!}</span>
				<span>邮箱：${dspAdvertiser.email!}</span>
			</div>
			<table border="1" class="tableFig">
				<thead>
					<tr class="theadTr">
						<th class="theadTh" style="width:30%;">资质</th>
						<th class="theadTh" style="width:40%;">素材</th>
						<th class="theadTh" style="width:30%;">最后更新时间</th>
				    </tr>
				</thead>
				<tbody>
				    <tr id="tbodyTr">
						<td class="tbodyTd">ICP</td>
						<td class="tbodyTd"><img class="audit_img" src="${dspAdvertiser.cpiPath}"></td>
						<td class="tbodyTd">${dspAdvertiser.updated!?datetime}</td>
					</tr>
					<tr id="tbodyTr">
						<td class="tbodyTd">企业营业执照</td>
						<td class="tbodyTd"><img class="audit_img" src="${dspAdvertiser.licencePath}"></td>
						<td class="tbodyTd">${dspAdvertiser.updated!?datetime}</td>
					</tr>
					<tr id="tbodyTr">
						<td class="tbodyTd">法人代表身份证</td>
						<td class="tbodyTd"><img class="audit_img" src="${dspAdvertiser.idPath}"></td>
						<td class="tbodyTd">${dspAdvertiser.updated!?datetime}</td>
					</tr>
					<tr id="tbodyTr">
						<td class="tbodyTd">企业机构代码证</td>
						<td class="tbodyTd"><img class="audit_img" src="${dspAdvertiser.orgPath}"></td>
						<td class="tbodyTd">${dspAdvertiser.updated!?datetime}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>