<@override name="head">	
<title>dsp账户管理</title>
<link rel="stylesheet" href="${ctx}/assets/css/dspManager.css"/>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/back/dspManager.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/back/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="content">
			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dsp/dsp-agent/list">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">账户管理</li>
				</ul>  
	 		</div>
	 		<div id="dspManagerDivs">
	 			<div id="dspManagerDivs_left">
	 				<form id="dspAgentListForm" action="${ctx}/back/main/dsp/dsp-agent/list" method="post">
		 				<div id="dsp_searchValueDiv">
							<input id="searchValue" type="text" name="dspName" value="${dspName!}" placeholder="请输入dsp名称"/>
							<input id="dsp_serachDataImg" type="submit" value=""/>
						</div>
						<label class="dspManager_label">dsp名称</label>
						<ul id="dspAgentListUl">
							<#if dspAgentList ??>
							<#list dspAgentList as dspAgent>
								<li value="${dspAgent.id}" title="${dspAgent.name}">${dspAgent.name}</li>
							</#list>
							</#if>
						</ul>
	 				</div>
	 			</form>
	 			<div id="dspManagerDivs_right">
	 				<!-- <a id="btn-addAccount" class="btn2" type="button">添加dsp账户</a> -->
	 				<label id="dspAgentTitle" class="dspManager_label">添加dsp账户信息</label>
	 				<form id="validateForm_dspAgent">
	 					<input type="hidden" name="id" id="dspId" value="0"/>
						<div class="input-group">
							<label class="input-label"><span class="lbl-yes">*</span>DSP名称：</label>
							<input class="input-text" tabindex="1" id="name" name="name" type="text" value="" verify="text/255/1/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-yes">*</span>公司注册名：</label>
							<input class="input-text" tabindex="2" id="companyName" name="companyName" type="text" value="" verify="text/255/1/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-no"></span>网址：</label>
							<input class="input-text" tabindex="3" id="homepage" name="homepage" type="text" value="" verify="website/255/0/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-yes">*</span>联系人：</label>
							<input class="input-text" tabindex="4" id="contacts" name="contacts" type="text" value="" verify="text/255/1/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-no"></span>电话：</label>
							<input class="input-text" tabindex="5" id="tel" name="tel" type="text" value="" verify="tel-mobile/12/0/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-no"></span>E-mail：</label>
							<input class="input-text" tabindex="6" id="email" name="email" type="text" value="" verify="email/255/0/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-no"></span>备注：</label>
							<input class="input-text" tabindex="7" id="memo" name="memo" type="text" value="" verify="text/255/0/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-yes">*</span>IP：</label>
							<input class="input-text" tabindex="8" id="ip" name="ip" type="text" value="" verify="text/255/1/0"/><span class="spanVaildate"></span>
						</div>
						<div class="input-group">
							<label class="input-label"><span class="lbl-yes">*</span>端口：</label>
							<input class="input-text" tabindex="9" id="port" name="port" type="text" value="" verify="number/255/1/0"/><span class="spanVaildate"></span>
						</div>
						<div id="footBtn">
							<button class="btn-save" type="button">保存</button>
							<button class="btn-cancel" type="reset">取消</button>
						</div>
					</form>
	 			</div>
	 		</div>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>